#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-call-hierarchy-plugin
version:              1.0.0.0
visibility:           public
id:                   hls-call-hierarchy-plugin-1.0.0.0-EDLypAqNxfMKeng8H4FjIM
key:                  hls-call-hierarchy-plugin-1.0.0.0-EDLypAqNxfMKeng8H4FjIM
license:              Apache-2.0
maintainer:           julytreee@gmail.com
author:               Lei Zhu
synopsis:             Call hierarchy plugin for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server/tree/master/plugins/hls-call-hierarchy-plugin#readme>

category:             Development
abi:                  c294715ad88b75d3018a52380d936001
exposed:              True
exposed-modules:      Ide.Plugin.CallHierarchy
hidden-modules:
    Ide.Plugin.CallHierarchy.Internal Ide.Plugin.CallHierarchy.Query
    Ide.Plugin.CallHierarchy.Types

import-dirs:
    /usr/lib/ghc-9.0.2/site-local/hls-call-hierarchy-plugin-1.0.0.0

library-dirs:
    /usr/lib/ghc-9.0.2/site-local/hls-call-hierarchy-plugin-1.0.0.0

dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-call-hierarchy-plugin
hs-libraries:         HShls-call-hierarchy-plugin-1.0.0.0-EDLypAqNxfMKeng8H4FjIM
depends:
    aeson-1.5.6.0-Fb9ZMAIDiHqHU60EYqqQrU base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    extra-1.7.10-F1L9ZnXh7ViL6gYOvZ9kSB ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC
    ghcide-1.4.1.0-GxhXx0F5bgS67rE2FaaVRm
    hiedb-0.4.1.0-66ZqQ39bitkBdEKKWMN25G
    hls-plugin-api-1.2.0.0-Caxuh4mvttRKUSju4036KP
    lens-5.1-8E77ZqnSgCQINPBMDs6XBl lsp-1.2.0.1-BcAe5XwIY9y3vVcNiBC28q
    sqlite-simple-0.4.18.0-ClkclVTtaohCqQhM7e8d2p text-1.2.5.0
    unordered-containers-0.2.19.1-C9nTlDD6Q7DH9RSyMbZGKJ

haddock-interfaces:
    /usr/share/doc/haskell-hls-call-hierarchy-plugin/html/hls-call-hierarchy-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-call-hierarchy-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

